Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Do zero a recebendo mensagens WhatsApp em menos de 10 minutos.
curl -X POST https://api.coexy.com.br/functions/v1/api/channels \ -H "x-api-key: crt_pk_sua-chave" \ -H "Content-Type: application/json" \ -d '{ "name": "Suporte Principal" }'
connect_url
curl -X POST https://api.coexy.com.br/functions/v1/api/webhooks \ -H "x-api-key: crt_pk_sua-chave" \ -H "Content-Type: application/json" \ -d '{ "name": "Meu CRM", "url": "https://meuapp.com/webhook/coexy", "events": ["messages", "channel_status_update"] }'
hmac_secret
export async function POST(request: Request): Promise<Response> { const body = await request.text() const signature = request.headers.get('x-coexy-signature') ?? '' const valid = await verifySignature(body, signature, process.env.COEXY_HMAC_SECRET!) if (!valid) return new Response('Unauthorized', { status: 401 }) // Responder 200 ANTES de processar (timeout de 10s) processEvent(JSON.parse(body)).catch(console.error) return new Response('OK', { status: 200 }) }